#include "stdio.h"
#include "windows.h"
#include "MediaInfoDLL/MediaInfoDLL.h"
#include "MediaInfo/MediaInfo_Events.h"

int main (int argc, char *argv[])
{
    void* MI;
    size_t Pos;

    if (argc!=2)
    {
        printf("Usage: MediaInfo_splice FileName");
        return 1;
    }
    
    /*Initializing MediaInfo*/
    if (MediaInfoDLL_Load()!=1)
    {
        printf("MediaInfo error: MediaInfo.dll not found");
        return 1;
    }
    MI=MediaInfoList_New();
    if (MI==NULL)
    {
        printf("MediaInfo error: impossible to create a new MediaInfo handler");
        return 1;
    }

    /*Open*/
    MediaInfoList_Open(MI, argv[1], 0);

    /**/
    for (Pos=0; Pos<MediaInfoList_Count_Get_Files(MI); Pos++)
    {
        if (strlen(MediaInfoList_Get(MI, Pos, 0, 0, "splice", 1, 0)))
            printf ("%s\n", MediaInfoList_Get(MI, Pos, 0, 0, "CompleteName", 1, 0));
    }
    printf ("%d files parsed\n", MediaInfoList_Count_Get_Files(MI));

}
